"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetProfilePastChatSchema = exports.GetProfileEventsSchema = exports.GetProfileTraitsSchema = void 0;
const zod_1 = require("zod");
// Schema for getting profile traits by external ID
exports.GetProfileTraitsSchema = zod_1.z
    .object({
    external_id: zod_1.z
        .string()
        .min(1, "External ID is required (e.g., email:user@example.com)"),
    space_id: zod_1.z.string().optional(),
})
    .strict();
// Schema for getting profile events by external ID
exports.GetProfileEventsSchema = zod_1.z
    .object({
    external_id: zod_1.z
        .string()
        .min(1, "External ID is required (e.g., email:user@example.com)"),
    limit: zod_1.z.number().min(1).max(200).optional(),
    cursor: zod_1.z.string().optional(),
    space_id: zod_1.z.string().optional(),
})
    .strict();
// Schema for getting profile past chat by external ID
exports.GetProfilePastChatSchema = zod_1.z
    .object({
    external_id: zod_1.z
        .string()
        .min(1, "External ID is required (e.g., email:user@example.com)"),
    limit: zod_1.z.number().min(1).max(200).optional(),
    cursor: zod_1.z.string().optional(),
    space_id: zod_1.z.string().optional(),
})
    .strict();
//# sourceMappingURL=profile-schemas.js.map