"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHttpTransport = createHttpTransport;
exports.createHttpTransportManager = createHttpTransportManager;
exports.startHttpServer = startHttpServer;
const streamableHttp_js_1 = require("@modelcontextprotocol/sdk/server/streamableHttp.js");
const node_crypto_1 = require("node:crypto");
const http_transport_simple_js_1 = require("../utils/http-transport-simple.js");
/**
 * Create a simple StreamableHTTPServerTransport for single-session usage
 */
function createHttpTransport(options = {}) {
    var _a;
    const sessionId = (0, node_crypto_1.randomUUID)();
    return new streamableHttp_js_1.StreamableHTTPServerTransport({
        enableJsonResponse: (_a = options.enableJsonResponse) !== null && _a !== void 0 ? _a : true,
        sessionIdGenerator: () => sessionId,
        onsessioninitialized: (actualId) => {
            console.log(`HTTP Session initialized: ${actualId}`);
        },
    });
}
/**
 * Create an HTTP transport manager for multi-session usage
 * This returns a manager that can handle multiple client sessions
 */
function createHttpTransportManager(server, config) {
    return (0, http_transport_simple_js_1.createHttpTransportManager)(server, config);
}
/**
 * Start an HTTP server that can handle multiple MCP sessions
 */
function startHttpServer(server, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const manager = createHttpTransportManager(server, options.config);
        yield manager.start();
        return manager;
    });
}
//# sourceMappingURL=http.js.map