"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
exports.createLogger = createLogger;
const winston_1 = __importDefault(require("winston"));
const logFormat = winston_1.default.format.combine(winston_1.default.format.timestamp({
    format: "YYYY-MM-DD HH:mm:ss",
}), winston_1.default.format.errors({ stack: true }), winston_1.default.format.json(), winston_1.default.format.simple());
function createLogger(logLevel = "info") {
    return winston_1.default.createLogger({
        level: logLevel,
        format: logFormat,
        defaultMeta: { service: "segment-mcp-server" },
        transports: [
            new winston_1.default.transports.Console({
                format: winston_1.default.format.combine(winston_1.default.format.simple()),
                stderrLevels: ["error", "warn", "info", "debug"],
            }),
        ],
    });
}
exports.logger = createLogger();
//# sourceMappingURL=logger.js.map