import { StreamableHTTPServerTransport } from "@modelcontextprotocol/sdk/server/streamableHttp.js";
import { HttpTransportManager } from "../utils/http-transport-simple.js";
import { Server } from "@modelcontextprotocol/sdk/server/index.js";
import { SegmentConfig } from "../types/segment.js";
export interface HttpTransportOptions {
    port?: number;
    host?: string;
    enableJsonResponse?: boolean;
}
/**
 * Create a simple StreamableHTTPServerTransport for single-session usage
 */
export declare function createHttpTransport(options?: HttpTransportOptions): StreamableHTTPServerTransport;
/**
 * Create an HTTP transport manager for multi-session usage
 * This returns a manager that can handle multiple client sessions
 */
export declare function createHttpTransportManager(server: Server, config: SegmentConfig): HttpTransportManager;
/**
 * Start an HTTP server that can handle multiple MCP sessions
 */
export declare function startHttpServer(server: Server, options: HttpTransportOptions & {
    config: SegmentConfig;
}): Promise<HttpTransportManager>;
//# sourceMappingURL=http.d.ts.map